
@Article{	  aichinger.mayr.mckenzie14,
  author	= {Aichinger, Erhard and Mayr, Peter and McKenzie, Ralph},
  title		= {On the number of finite algebraic structures},
  journal	= {J. Eur. Math. Soc. (JEMS)},
  fjournal	= {Journal of the European Mathematical Society (JEMS)},
  volume	= {16},
  year		= {2014},
  number	= {8},
  pages		= {1673--1686},
  issn		= {1435-9855},
  mrclass	= {08A62 (06A06 08A40 08B05)},
  mrnumber	= {3262454},
  mrreviewer	= {Neboj{\v{s}}a Mudrinski},
  doi		= {10.4171/JEMS/472},
  url		= {http://dx.doi.org/10.4171/JEMS/472}
}

@Article{	  barto.kozik.ea15,
  author	= {Barto, Libor and Kozik, Marcin and Stanovsk\'{y}, David},
  title		= {Mal'tsev conditions, lack of absorption, and solvability},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  intype	= {to appear in},
  year		= {2015}
}

@Article{	  barto.oprsal.ea15,
  author	= {Barto, Libor and Opr\v{s}al, Jakub and Pinsker, Michael},
  title		= {The Wonderland of reflections},
  journal	= {ArXiv e-prints},
  archiveprefix	= {arXiv},
  eprint	= {1510.04521},
  primaryclass	= {math.LO},
  year		= {2015},
  note		= {https://arxiv.org/abs/1510.04521},
  url		= {https://arxiv.org/abs/1510.04521}
}

@Article{	  bentz.sequeira14,
  author	= {Bentz, Wolfram and Sequeira, Lu{\'{\i}}s},
  title		= {Taylor's modularity conjecture holds for linear idempotent
		  varieties},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  volume	= {71},
  year		= {2014},
  number	= {2},
  pages		= {101--107},
  issn		= {0002-5240},
  mrclass	= {08B10 (08B05)},
  mrnumber	= {3183385},
  doi		= {10.1007/s00012-014-0273-4},
  url		= {http://dx.doi.org/10.1007/s00012-014-0273-4}
}

@Article{	  berman.idziak.ea10,
  author	= {Berman, Joel and Idziak, Pawe{\l} and Markovi{\'c}, Petar
		  and McKenzie, Ralph and Valeriote, Matthew and Willard,
		  Ross},
  title		= {Varieties with few subalgebras of powers},
  journal	= {Trans. Amer. Math. Soc.},
  fjournal	= {Transactions of the American Mathematical Society},
  volume	= {362},
  year		= {2010},
  number	= {3},
  pages		= {1445--1473},
  issn		= {0002-9947},
  coden		= {TAMTAM},
  mrclass	= {08B05 (08A30 08A70 08B10 68Q25 68Q32 68T20)},
  mrnumber	= {2563736 (2010k:08010)},
  mrreviewer	= {Ivan Chajda},
  doi		= {10.1090/S0002-9947-09-04874-0},
  url		= {http://dx.doi.org/10.1090/S0002-9947-09-04874-0}
}

@Article{	  bodirsky.pinsker15,
  author	= {Bodirsky, Manuel and Pinsker, Michael},
  title		= {Topological {B}irkhoff},
  journal	= {Trans. Amer. Math. Soc.},
  fjournal	= {Transactions of the American Mathematical Society},
  volume	= {367},
  year		= {2015},
  number	= {4},
  pages		= {2527--2549},
  issn		= {0002-9947},
  mrclass	= {03C05 (03C40 08A30 08A35 08A40)},
  mrnumber	= {3301873},
  doi		= {10.1090/S0002-9947-2014-05975-8},
  url		= {http://dx.doi.org/10.1090/S0002-9947-2014-05975-8}
}

@Article{	  bova.chen.valeriote13,
  author	= {Bova, Simone and Chen, Hubie and Valeriote, Matthew},
  title		= {Generic Expression Hardness Results for Primitive Positive
		  Formula Comparison},
  journal	= {Inf. Comput.},
  fjournal	= {Information and Computation},
  issue_date	= {January, 2013},
  volume	= {222},
  month		= jan,
  year		= {2013},
  issn		= {0890-5401},
  pages		= {108--120},
  numpages	= {13},
  url		= {http://dx.doi.org/10.1016/j.ic.2012.10.008},
  doi		= {10.1016/j.ic.2012.10.008},
  acmid		= {2416541},
  publisher	= {Academic Press, Inc.}
}

@Article{	  burris71,
  author	= {Burris, Stanley},
  title		= {Models in equational theories of unary algebras},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  volume	= {1},
  year		= {1971/72},
  pages		= {386--392},
  issn		= {0002-5240},
  mrclass	= {08A25},
  mrnumber	= {0294214 (45 \#3287)},
  mrreviewer	= {Alden Pixley}
}

@Article{	  day69,
  author	= {Day, Alan},
  title		= {A characterization of modularity for congruence lattices
		  of algebras},
  journal	= {Canad. Math. Bull.},
  fjournal	= {Canadian Mathematical Bulletin. Bulletin Canadien de
		  Math\'ematiques},
  volume	= {12},
  year		= {1969},
  pages		= {167--173},
  issn		= {0008-4395},
  mrclass	= {08.30},
  mrnumber	= {0248063 (40 \#1317)},
  mrreviewer	= {J. Froemke}
}

@Article{	  dent.kearnes.ea12,
  author	= {Dent, Topaz and Kearnes, Keith A. and Szendrei, {\'A}gnes},
  title		= {An easy test for congruence modularity},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  volume	= {67},
  year		= {2012},
  number	= {4},
  pages		= {375--392},
  issn		= {0002-5240},
  mrclass	= {08B05 (08B10)},
  mrnumber	= {2965247},
  mrreviewer	= {Peter W. Ouwehand},
  doi		= {10.1007/s00012-012-0186-z},
  url		= {http://dx.doi.org/10.1007/s00012-012-0186-z}
}

@Article{	  freese.valeriote09,
  author	= {Freese, Ralph and Valeriote, Matthew A.},
  title		= {On the complexity of some {M}altsev conditions},
  journal	= {Internat. J. Algebra Comput.},
  fjournal	= {International Journal of Algebra and Computation},
  volume	= {19},
  year		= {2009},
  number	= {1},
  pages		= {41--77},
  issn		= {0218-1967},
  mrclass	= {08B05 (03C05 08B10 68Q25)},
  mrnumber	= {2494469 (2010a:08008)},
  mrreviewer	= {Clifford H. Bergman},
  doi		= {10.1142/S0218196709004956},
  url		= {http://dx.doi.org/10.1142/S0218196709004956}
}

@Article{	  freese13,
  author	= "Freese, Ralph",
  title		= "Equations implying congruence n-permutability and
		  semidistributivity",
  journal	= "Algebra universalis",
  year		= "2013",
  volume	= "70",
  number	= "4",
  pages		= "347--357",
  issn		= "1420-8911",
  doi		= "10.1007/s00012-013-0256-x",
  url		= "http://dx.doi.org/10.1007/s00012-013-0256-x"
}

@Article{	  garcia.taylor84,
  author	= {Garc{\'{\i}}a, Octavio Carlos and Taylor, Walter},
  title		= {The lattice of interpretability types of varieties},
  journal	= {Mem. Amer. Math. Soc.},
  fjournal	= {Memoirs of the Americal Mathematical Society},
  volume	= {50},
  year		= {1984},
  pages		= {v+125},
  issn		= {0065-9266},
  coden		= {MAMCAU},
  mrclass	= {08B05 (06B99 20E10)},
  mrnumber	= {749524 (86:08006a)},
  mrreviewer	= {R. S. Pierce},
  doi		= {10.1090/memo/0305},
  url		= {http://dx.doi.org/10.1090/memo/0305}
}

@Article{	  geiger68,
  author	= {Geiger, David},
  fjournal	= {Pacific Journal of Mathematics},
  journal	= {Pacific J. Math.},
  number	= {1},
  pages		= {95--100},
  publisher	= {Pacific Journal of Mathematics, A Non-profit Corporation},
  title		= {Closed systems of functions and predicates.},
  url		= {http://projecteuclid.org/euclid.pjm/1102985564},
  volume	= {27},
  year		= {1968}
}

@Article{	  gumm81,
  author	= {Gumm, H.-Peter},
  title		= {Congruence modularity is permutability composed with
		  distributivity},
  journal	= {Arch. Math. (Basel)},
  fjournal	= {Archiv der Mathematik. Archives of Mathematics. Archives
		  Math\'ematiques},
  volume	= {36},
  year		= {1981},
  number	= {6},
  pages		= {569--576},
  issn		= {0003-889X},
  coden		= {ACVMAL},
  mrclass	= {08B05 (08B10)},
  mrnumber	= {629294 (82j:08009)},
  mrreviewer	= {Alden Pixley},
  doi		= {10.1007/BF01223741},
  url		= {http://dx.doi.org/10.1007/BF01223741}
}

@Article{	  hagemann.mitschke73,
  author	= {Hagemann, Joachim and Mitschke, A.},
  title		= {On {$n$}-permutable congruences},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  volume	= {3},
  year		= {1973},
  pages		= {8--12},
  issn		= {0002-5240},
  mrclass	= {08A25},
  mrnumber	= {0330010 (48 \#8349)},
  mrreviewer	= {Alden Pixley}
}

@Book{		  hobby.mckenzie88,
  author	= {Hobby, David and McKenzie, Ralph},
  title		= {The structure of finite algebras},
  series	= {Contemporary Mathematics},
  volume	= {76},
  publisher	= {American Mathematical Society, Providence, RI},
  year		= {1988},
  pages		= {xii+203},
  isbn		= {0-8218-5073-3},
  mrclass	= {08A05 (03C05 08-02 08B05)},
  mrnumber	= {958685 (89m:08001)},
  mrreviewer	= {Joel Berman},
  doi		= {10.1090/conm/076},
  url		= {http://dx.doi.org/10.1090/conm/076}
}

@Article{	  jonsson68,
  author	= {J{\'o}nsson, Bjarni},
  title		= {Algebras whose congruence lattices are distributive},
  journal	= {Math. Scand.},
  fjournal	= {Mathematica Scandinavica},
  volume	= {21},
  year		= {1967},
  pages		= {110--121 (1968)},
  issn		= {0025-5521},
  mrclass	= {08.30},
  mrnumber	= {0237402 (38 \#5689)},
  mrreviewer	= {G. Gr{\"a}tzer}
}

@Article{	  kearnes.kiss13,
  author	= {Kearnes, Keith A. and Kiss, Emil W.},
  title		= {The shape of congruence lattices},
  journal	= {Mem. Amer. Math. Soc.},
  fjournal	= {Memoirs of the American Mathematical Society},
  volume	= {222},
  year		= {2013},
  number	= {1046},
  pages		= {viii+169},
  issn		= {0065-9266},
  isbn		= {978-0-8218-8323-5},
  mrclass	= {08B05 (08B10)},
  mrnumber	= {3076179},
  mrreviewer	= {James B. Nation},
  doi		= {10.1090/S0065-9266-2012-00667-8},
  url		= {http://dx.doi.org/10.1090/S0065-9266-2012-00667-8}
}

@Article{	  kearnes.szendrei12,
  author	= {Kearnes, Keith A. and Szendrei, {\'A}gnes},
  title		= {Clones of algebras with parallelogram terms},
  journal	= {Internat. J. Algebra Comput.},
  fjournal	= {International Journal of Algebra and Computation},
  volume	= {22},
  year		= {2012},
  number	= {1},
  pages		= {1250005, 30},
  issn		= {0218-1967},
  mrclass	= {08A40 (08A05)},
  mrnumber	= {2900858},
  mrreviewer	= {Michael Pinsker},
  doi		= {10.1142/S0218196711006716},
  url		= {http://dx.doi.org/10.1142/S0218196711006716}
}

@Article{	  kearnes.szendrei15,
  author	= {Kearnes, Keith A. and Szendrei, \'Agnes},
  title		= {Cube term blockers without finiteness},
  note		= {http://arXiv.org/abs/1609.02605},
  journal	= {ArXiv e-prints},
  archiveprefix	= {arXiv},
  eprint	= {1609.02605},
  primaryclass	= {math.LO},
  year		= {2016},
  url		= {https://arxiv.org/abs/1609.02605}
}

@Article{	  kearnes.tschantz07,
  author	= {Kearnes, Keith A. and Tschantz, Steven T.},
  title		= {Automorphism groups of squares and of free algebras},
  journal	= {Internat. J. Algebra Comput.},
  fjournal	= {International Journal of Algebra and Computation},
  volume	= {17},
  year		= {2007},
  number	= {3},
  pages		= {461--505},
  issn		= {0218-1967},
  mrclass	= {08A35 (08B20 20B25)},
  mrnumber	= {2333368 (2008f:08003)},
  mrreviewer	= {Giovanni Ferrero},
  doi		= {10.1142/S0218196707003615},
  url		= {http://dx.doi.org/10.1142/S0218196707003615}
}

@Article{	  malcev54,
  author	= {Mal'cev, A. I.},
  title		= {On the general theory of algebraic systems},
  journal	= {Mat. Sb. N.S.},
  volume	= {35(77)},
  year		= {1954},
  pages		= {3--20},
  mrclass	= {09.1X},
  mrnumber	= {0065533 (16,440e)},
  mrreviewer	= {I. Kaplansky}
}

@Article{	  malcev63,
  author	= {Mal'cev, A. I.},
  title		= {On the general theory of algebraic systems},
  journal	= {Amer. Math. Soc. Transl. (2)},
  fjournal	= {American Mathematical Society Translations},
  volume	= {27},
  year		= {1963},
  pages		= {125--142},
  issn		= {0065-9290},
  mrclass	= {08.30},
  mrnumber	= {0151416 (27 \#1401)}
}

@Article{	  markovic.maroti.mckenzie12,
  author	= {Markovi{\'c}, Petar and Mar{\'o}ti, Mikl{\'o}s and
		  McKenzie, Ralph},
  title		= {Finitely related clones and algebras with cube terms},
  journal	= {Order},
  fjournal	= {Order. A Journal on the Theory of Ordered Sets and its
		  Applications},
  volume	= {29},
  year		= {2012},
  number	= {2},
  pages		= {345--359},
  issn		= {0167-8094},
  coden		= {ORDRE5},
  mrclass	= {08A62 (08A99 08B05 08B10)},
  mrnumber	= {2926316},
  mrreviewer	= {Anna Romanowska},
  doi		= {10.1007/s11083-011-9232-2}
}

@MastersThesis{	  mcgarry09,
  author	= {McGarry, Caitlin E.},
  title		= {$k$-fold Systems of Projections and Congruence
		  Modularity},
  school	= {McMaster University},
  address	= {Hamilton, Ontario},
  year		= {2009},
  url		= {http://ms.mcmaster.ca/~matt/publications/McGarry-Msc.pdf}
}

@Article{	  neumann74,
  author	= {Neumann,Walter D.},
  title		= {On {M}alcev conditions},
  journal	= {Journal of the Australian Mathematical Society},
  volume	= {17},
  issue		= {03},
  month		= {5},
  year		= {1974},
  issn		= {1446-8107},
  pages		= {376--384},
  numpages	= {9},
  doi		= {10.1017/S1446788700017122},
  url		= {http://journals.cambridge.org/article_S1446788700017122}
}

@Article{	  romov77,
  author	= {Romov, B.~A.},
  title		= {Galois correspondence between iterative post algebras and
		  relations on an infinite set},
  year		= {1977},
  issn		= {0011-4235},
  journal	= {Cybernetics},
  volume	= {13},
  number	= {3},
  doi		= {10.1007/BF01069655},
  publisher	= {Kluwer Academic Publishers-Plenum Publishers},
  pages		= {377-379},
  language	= {English}
}

@Book{		  schmidt69,
  author	= {Schmidt, E.~T.},
  title		= {Kongruenzrelationen algebraischer {S}trukturen},
  series	= {Mathematische Forschungsberichte, XXV},
  publisher	= {VEB Deutscher Verlag der Wissenschaften, Berlin},
  year		= {1969},
  pages		= {108},
  mrclass	= {08.30},
  mrnumber	= {0255474 (41 \#136)},
  mrreviewer	= {G. Gr{\"a}tzer}
}

@PhDThesis{	  sequeira01,
  author	= {Sequeira, Lu\'is},
  title		= {{M}altsev Filters},
  school	= {University of Lisbon},
  address	= {Portugal},
  year		= {2001},
  url		= {http://www.ptmat.fc.ul.pt/~lsequeir/math/tese.ps}
}

@Article{	  sequeira06,
  author	= {Sequeira, Lu{\'i}s},
  title		= {On the congruence modularity conjecture},
  journal	= {Algebra Universalis},
  year		= {2006},
  volume	= {55},
  number	= {4},
  pages		= {495--508},
  issn		= {1420-8911},
  doi		= {10.1007/s00012-006-2013-x},
  url		= {http://dx.doi.org/10.1007/s00012-006-2013-x}
}

@Article{	  taylor73,
  author	= {Taylor, Walter},
  title		= {Characterizing {M}al'cev conditions},
  journal	= {Algebra Universalis},
  fjournal	= {Algebra Universalis},
  volume	= {3},
  year		= {1973},
  pages		= {351--397},
  issn		= {0002-5240}
}

@Unpublished{	  tschantz96,
  author	= {Tschantz, Steve},
  title		= {Congruence permutability is join prime},
  year		= {1996},
  note		= {unpublished}
}

@Article{	  valeriote.willard14,
  author	= {Valeriote, Matt and Willard, Ross},
  title		= {Idempotent {$n$}-permutable varieties},
  journal	= {Bull. Lond. Math. Soc.},
  fjournal	= {Bulletin of the London Mathematical Society},
  volume	= {46},
  year		= {2014},
  number	= {4},
  pages		= {870--880},
  issn		= {0024-6093},
  mrclass	= {08A05 (06F99 68Q25)},
  mrnumber	= {3239624},
  doi		= {10.1112/blms/bdu044},
  url		= {http://dx.doi.org/10.1112/blms/bdu044}
}

@Unpublished{	  mckenzie.moore17,
  author	= {McKenzie, Ralph and Moore, Matthew},
  title		= {Colorings and Blockers},
  year		= {2017},
  note		= {manuscript}
}
